﻿/*
 * Created by SharpDevelop.
 * User: Malte Schulze
 * Date: 21.12.2018
 * Time: 15:32
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using System.Collections.Generic;
using System.Reflection;
using RimWorld;
using UnityEngine;
using Verse;

namespace RIMMSqol.remnantcolony.actions
{
	/// <summary>
	/// Description of QOLCityAction_TradeWithCaller.
	/// </summary>
	public class QOLCityAction_TradeWithCaller : QOLCityAction
	{
		public QOLCityAction_TradeWithCaller() : base(null) {}
		
		public QOLCityAction_TradeWithCaller(QOLCityActionDef def) : base(def) {}
		
		public override void OnClick(QOLCity city, Pawn negotiator) {
			if ( city != null ) {
				if ( negotiator != null ) {
					Find.WindowStack.Add(new Dialog_TradeForFree(negotiator, city));
				} else {
					//possible when managing the city without a coms console or caravan.
				}
			} else {
				Log.Error("City was null in "+this.GetType().Name+"!");
			}
		}
	}
	
	public class QOLCityActionConfiguration_TradeWithCaller : QOLCityActionConfiguration {
		public override QOLCityAction CreateAction(QOLCityActionDef def) {
			return new QOLCityAction_TradeWithCaller(def);
		}
	}
}
