﻿/*
 * Created by SharpDevelop.
 * User: Malte Schulze
 * Date: 21.11.2018
 * Time: 05:56
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using Verse;

namespace RIMMSqol.remnantcolony.callbacks
{
	/// <summary>
	/// Description of QOLCityCallback_PeopleExchange.
	/// </summary>
	public class QOLCityCallback_PeopleExchange : QOLCityCallback
	{
		public void Callback(Verse.Def owner, QOLCity city, Pawn negotiator) {
			if ( city != null ) {
				if ( negotiator != null ) {
					Find.WindowStack.Add(new QOLCityDialog_ExchangeCitizens(city,negotiator));
				} else {
					//possible when managing the city without a coms console or caravan.
				}
			} else {
				Log.Error("City was null in "+this.GetType().Name+" callback!");
			}
		}
	}
}
