﻿/*
 * Created by SharpDevelop.
 * User: Malte Schulze
 * Date: 15.01.2019
 * Time: 09:23
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using Verse;

namespace RIMMSqol.remnantcolony.listeners
{
	/// <summary>
	/// Description of QOLCityListener.
	/// </summary>
	public abstract class QOLCityListener
	{
		public QOLCityListenerDef def;
		public IQOLCityListenerOwner owner;
		
		protected QOLCityListener(QOLCityListenerDef def, IQOLCityListenerOwner owner) {
			this.def = def;
			this.owner = owner;
		}
		
		public abstract void OnEvent(QOLCity city, QOLCityEvent e);
	}
}
