﻿/*
 * Created by SharpDevelop.
 * User: Malte Schulze
 * Date: 01.03.2019
 * Time: 09:13
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using System.Collections.Generic;
using RIMMSqol.remnantcolony.triggers;

namespace RIMMSqol.remnantcolony.listeners
{
	/// <summary>
	/// Description of QOLCityListener_Trigger.
	/// </summary>
	public class QOLCityListener_Trigger : QOLCityListener {
		public QOLCityListener_Trigger(QOLCityListenerDef def,IQOLCityListenerOwner owner) : base(def,owner) {}
		
		public override void OnEvent(QOLCity city, QOLCityEvent e) {
			QOLCityProject proj = owner as QOLCityProject;
			if ( proj != null && !proj.IsActive ) return;
			QOLCityListenerDef_Trigger conf = def as QOLCityListenerDef_Trigger;
			if ( conf != null && conf.triggers != null ) {
				foreach ( QOLCityTrigger trigger in conf.triggers ) trigger.Trigger(e,city);
			}
		}
	}
	
	public class QOLCityListenerDef_Trigger : QOLCityListenerDef {
		public List<QOLCityTrigger> triggers;
	}
}
