﻿/*
 * Created by SharpDevelop.
 * User: Malte Schulze
 * Date: 27.02.2019
 * Time: 00:07
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using RIMMSqol.translations;
using Verse;

namespace RIMMSqol.remnantcolony.requirements
{
	/// <summary>
	/// Description of QOLCityRequirement_Chance.
	/// </summary>
	public class QOLCityRequirement_Chance : QOLCityRequirement
	{
		public float value;
		[Unsaved]
		protected TranslationRequest translationRequestDescription = null;
		
		override public bool IsValid(QOLCity city) {
			return UnityEngine.Random.value <= value;
		}
		
		override protected TranslationRequest TranslationRequestDescription() {
			if ( translationRequestDescription == null ) {
				translationRequestDescription = new TranslationRequest(typeof(QOLCityRequirement_Chance).Name, new[]{"value"}, new object[]{value.ToString("P2")});
			}
			return translationRequestDescription;
		}
	}
}
