﻿/*
 * Created by SharpDevelop.
 * User: Malte Schulze
 * Date: 15.02.2019
 * Time: 15:00
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using RIMMSqol.translations;
using Verse;

namespace RIMMSqol.remnantcolony.requirements
{
	/// <summary>
	/// Description of QOLCityRequirement_Not.
	/// </summary>
	public class QOLCityRequirement_Not : QOLCityRequirement
	{
		public QOLCityRequirement requirement;
		[Unsaved]
		protected TranslationRequest translationRequestDescription = null;
		
		override public bool IsValid(QOLCity city) {
			return !requirement.IsValid(city);
		}
		
		override protected TranslationRequest TranslationRequestDescription() {
			if ( translationRequestDescription == null ) {
				translationRequestDescription = new TranslationRequest(typeof(QOLCityRequirement_Not).Name, new[]{"requirement"}, new object[]{
				                                                       	new StringBuilder().Append("[").Append(requirement.Description()).Append("]").ToString()});
			}
			return translationRequestDescription;
		}
	}
}
