﻿/*
 * Created by SharpDevelop.
 * User: Malte Schulze
 * Date: 31.10.2019
 * Time: 11:56
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;

namespace RIMMSqol.storyteller
{
	/// <summary>
	/// Description of StorytellerTreeComp.
	/// </summary>
	public abstract class StorytellerTreeComp
	{
		protected Verse.WeakReference<StorytellerTree> _tree;
		public void AttachTree(StorytellerTree tree) {
			_tree = new Verse.WeakReference<StorytellerTree>(tree);
		}
		protected StorytellerTree Tree {
			get { return _tree.Target; }
		}
		virtual public void BeginInterval() {}
		virtual public void EndInterval() {}
	}
}
