﻿/*
 * Created by SharpDevelop.
 * User: Malte Schulze
 * Date: 05.11.2019
 * Time: 04:07
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using System.Collections.Generic;
using Verse;

namespace RIMMSqol.storyteller
{
	/// <summary>
	/// Description of StorytellerTreeDef.
	/// </summary>
	public class StorytellerTreeDef : Def {
		public List<StorytellerTreeNodeConfiguration> children;
		
		public StorytellerTreeNode spawnTree() {
			StorytellerTreeNode_Root root = new StorytellerTreeNode_Root();
			
			spawnTree(root,children);
			
			return root;
		}
		
		protected void spawnTree(StorytellerTreeNode parent, List<StorytellerTreeNodeConfiguration> children) {
			if ( children.NullOrEmpty() ) return;
			
			foreach (StorytellerTreeNodeConfiguration tnc in children) {
				StorytellerTreeNode n = tnc.CreateNode(parent);
				spawnTree(n,tnc.children);
			}
		}
	}
}
