﻿using RIMMSqol.genericSettings;
using RIMMSqol.renderers;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Verse;

namespace RIMMSqol.extensions
{
    public static class Extension_BaseRenderer
    {
        static public BaseRenderer attachTooltip(this BaseRenderer r, ISettingsFieldProperties p)
        {
            if (p.labelTooltipProducer != null)
            {
                string s = p.labelTooltip;
                if (s.NullOrEmpty())
                {
                    r.attachTooltip(p.labelTooltipProducer);
                }
                else
                {
                    r.attachTooltip((flow) => { return s + "\n\n" + p.labelTooltipProducer(flow); });
                }
            }
            else
            {
                r.attachTooltip(p.labelTooltip);
            }
            return r;
        }
    }
}
