﻿/*
 * Created by SharpDevelop.
 * User: Malte Schulze
 * Date: 30.10.2017
 * Time: 06:17
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using System.Collections;
using System.Collections.Generic;
using Verse;

namespace RIMMSqol.genericSettings
{
	/// <summary>
	/// Description of SettingsProperties.
	/// </summary>
	public class SettingsProperties {
		public int order = 0;
		public string id;
		public Dictionary<string,ISettingsInstance> overriddenSettings = new Dictionary<string,ISettingsInstance>();
		public List<ISettingsFieldProperties> fields = new List<ISettingsFieldProperties>();
		public Func<ISettingsInstance,string> dynamicLabel;
		public List<Action<ISettingsInstance>> mergers = new List<Action<ISettingsInstance>>();
		public List<Func<ISettingsInstance,bool>> validators = new List<Func<ISettingsInstance,bool>>();
		public List<SettingsPropertyProperties> props = new List<SettingsPropertyProperties>();
        public bool ResetToDefaults { get; set; } = false;
        public ISettingsVisualization visualization;
        //public Dictionary<string, Func<object,object>> pathResolvers = new Dictionary<string, Func<object,object>>();

        public SettingsProperties(string id, int order)
		{
			this.id = id;
			this.order = order;
		}

        /*public T ResolveLiveObject<T>(ISettingsInstance setting, string path)
        {
            if ( pathResolvers.TryGetValue(path, out Func<object,object> resolver) )
            {
                object baseObject;
                if ( visualization is ISettingsVisualizationSelection )
                {
                    baseObject = ((ISettingsVisualizationSelection)visualization).getBaseObjectFromKey(setting.getKey());
                }
                else if ( visualization is ISettingsVisualizationSingletonSelection )
                {
                    baseObject = ((ISettingsVisualizationSingletonSelection)visualization).getBaseObject();
                }
                else
                {
                    Log.Error("Setting configuration \"" + id + "\" request to resolve a path but cannot determine it's baseObject!");
                    return default(T);
                }
                object obj = resolver(baseObject);
                if (obj == null || obj is T) return (T)obj;
                Log.Error("Unexpected type found after resolving path \"" + path + "\" in setting configuration \"" + id + "\".");
                return default(T);
            }
            Log.Error("Missing resolver for path \"" + path + "\" in setting configuration \"" + id + "\".");
            return default(T);
        }*/

    }
}
