﻿/*
 * Created by SharpDevelop.
 * User: Malte Schulze
 * Date: 15.02.2019
 * Time: 17:58
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using System.Text;
using RIMMSqol.translations;
using Verse;

namespace RIMMSqol.remnantcolony.pawnfilters
{
	/// <summary>
	/// Description of QOLCityPawnFilter_Not.
	/// </summary>
	public class QOLCityPawnFilter_Not : QOLCityPawnFilter {
		public QOLCityPawnFilter filter;
		[Unsaved]
		protected TranslationRequest translationRequestDescription = null;
		
		public override bool IsAllowed(QOLCity city, Pawn p) {
			return !filter.IsAllowed(city,p);
		}
		
		override protected TranslationRequest TranslationRequestDescription() {
			if ( translationRequestDescription == null ) {
				translationRequestDescription = new TranslationRequest(typeof(QOLCityPawnFilter_Not).Name, new[]{"filter"}, new object[]{
				                                                       	new StringBuilder().Append("[").Append(filter.Description()).Append("]")});
			}
			return translationRequestDescription;
		}
	}
}
