﻿/*
 * Created by SharpDevelop.
 * User: Malte Schulze
 * Date: 19.11.2019
 * Time: 02:21
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using HarmonyLib;
using RimWorld;
using Verse;

namespace RIMMSqol.storyteller
{
	/// <summary>
	/// Description of Storyteller_StorytellerTick.
	/// </summary>
	[HarmonyPatch(typeof(Storyteller))]
	[HarmonyPatch("StorytellerTick")]
	[HarmonyPatchNamespace("Storyteller")]
	static public class Storyteller_StorytellerTick
	{
		[HarmonyPriority(Priority.Last)]
		static bool Prefix()
		{
			StorytellerGameComponent stgc = Current.Game.GetComponent<StorytellerGameComponent>();
			return stgc == null || !stgc.DisableVanillaStoryteller;
		}
	}
}
